Blowfish Class Reference

Blowfish block cipher. More...

`#include <blowfish.h>`

Inheritance diagram for Blowfish:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Base > | Encryption
typedef BlockCipherFinal< DECRYPTION, Base > | Decryption
Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from Blowfish_Info
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from VariableKeyLength< 16, 4, 56 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function.
Static Public Attributes inherited from FixedBlockSize< 8 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from VariableKeyLength< 16, 4, 56 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant.
Static Public Attributes inherited from FixedRounds< 16 >
static const int | ROUNDS
| The number of rounds for the algorithm provided as a constant.

## Detailed Description

Blowfish block cipher.

Since
  Crypto++ 1.0

Definition at line 24 of file blowfish.h.

## Member Typedef Documentation

## Encryption

typedef BlockCipherFinal<ENCRYPTION, Base> Blowfish::Encryption

Definition at line 45 of file blowfish.h.

## Decryption

typedef BlockCipherFinal<DECRYPTION, Base> Blowfish::Decryption

Definition at line 46 of file blowfish.h.

The documentation for this class was generated from the following file:

- blowfish.h